From aa839425501c9e5d4ab33504197ba8401e2c5367 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Sat, 17 Jul 2021 21:10:57 +0300
Subject: [PATCH 42/59] CMake: AlpineApkBackend: depend on KIOCore, KJobWidgets

Needed for AppStreamDataDownloader
---
 libdiscover/backends/AlpineApkBackend/CMakeLists.txt | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/CMakeLists.txt b/libdiscover/backends/AlpineApkBackend/CMakeLists.txt
index 7e54cfd9b..0d657c6ab 100644
--- a/libdiscover/backends/AlpineApkBackend/CMakeLists.txt
+++ b/libdiscover/backends/AlpineApkBackend/CMakeLists.txt
@@ -1,4 +1,5 @@
 find_package(KF5Auth CONFIG REQUIRED)  # Probably should be moved to top CMakeLists
+find_package(KF5JobWidgets CONFIG REQUIRED)
 
 set(alpineapkbackend_SRCS
     AlpineApkAuthActionFactory.h
@@ -37,9 +38,11 @@ target_link_libraries(
         Qt5::Core
         Qt5::Widgets
         Qt5::Concurrent
-        KF5::CoreAddons
-        KF5::ConfigCore
         KF5::AuthCore
+        KF5::ConfigCore
+        KF5::CoreAddons
+        KF5::JobWidgets
+        KF5::KIOCore
         Discover::Common
         ApkQt::ApkQt
         AppStreamQt
-- 
GitLab


